Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
Couldn't load plugin 'otb' due to an error when calling its classFactory() method
ImportError: IMPORTANT: PLEASE READ THIS FOR ADVICE ON HOW TO SOLVE THIS ISSUE! Importing the multiarray numpy extension module failed. Most likely you are trying to import a failed build of numpy. Here is how to proceed: - If you're working with a numpy git repository, try `git clean -xdf` (removes all files not under version control) and rebuild numpy. - If you are simply trying to use the numpy version that you have installed: your installation is broken - please reinstall numpy. - If you have already reinstalled and that did not fix the problem, then: 1. Check that you are using the Python you expect (you're using /usr/local/Cellar/qgis/3.6.0_2/QGIS.app/Contents/MacOS/QGIS), and that you have no directories in your PATH or PYTHONPATH that can interfere with the Python and numpy versions you're trying to use. 2. If (1) looks fine, you can open a new issue at https://github.com/numpy/numpy/issues. Please include details on: - how you installed Python - how you installed numpy - your operating system - whether or not you have multiple versions of Python installed - if you built from source, your compiler versions and ideally a build log Note: this error has many possible causes, so please don't comment on an existing issue about this - open a new one instead. Original error was: dlopen(/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/numpy/core/_multiarray_umath.cpython-37m-darwin.so, 2): Library not loaded: /usr/local/opt/openblas/lib/libopenblasp-r0.3.5.dylib Referenced from: /usr/local/Cellar/qgis-res/3.6.0/libexec/vendor/lib/python3.7/site-packages/numpy/core/_multiarray_umath.cpython-37m-darwin.so Reason: image not found
Traceback (most recent call last):
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/numpy/core/__init__.py", line 16, in
from . import multiarray
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/numpy/core/multiarray.py", line 12, in
from . import overrides
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/numpy/core/overrides.py", line 6, in
from numpy.core._multiarray_umath import (
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
ImportError: dlopen(/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/numpy/core/_multiarray_umath.cpython-37m-darwin.so, 2): Library not loaded: /usr/local/opt/openblas/lib/libopenblasp-r0.3.5.dylib
Referenced from: /usr/local/Cellar/qgis-res/3.6.0/libexec/vendor/lib/python3.7/site-packages/numpy/core/_multiarray_umath.cpython-37m-darwin.so
Reason: image not found
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 335, in startPlugin
plugins[packageName] = package.classFactory(iface)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/otb/__init__.py", line 37, in classFactory
from .OTBPlugin import OTBPlugin
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/otb/OTBPlugin.py", line 26, in
from .OtbAlgorithmProvider import OtbAlgorithmProvider
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/otb/OtbAlgorithmProvider.py", line 40, in
from otb.OtbAlgorithm import OtbAlgorithm
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/otb/OtbAlgorithm.py", line 56, in
from otb.OtbChoiceWidget import OtbParameterChoice
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/otb/OtbChoiceWidget.py", line 31, in
from processing.gui.wrappers import (WidgetWrapper,
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/gui/wrappers.py", line 116, in
from processing.modeler.MultilineTextPanel import MultilineTextPanel
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/__init__.py", line 29, in
from processing.tools.general import * # NOQA
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/tools/general.py", line 39, in
from processing.core.Processing import Processing
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/core/Processing.py", line 58, in
from processing.algs.qgis.QgisAlgorithmProvider import QgisAlgorithmProvider # NOQA
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/algs/qgis/QgisAlgorithmProvider.py", line 80, in
from .HypsometricCurves import HypsometricCurves
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/algs/qgis/HypsometricCurves.py", line 29, in
import numpy
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/numpy/__init__.py", line 142, in
from . import core
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/numpy/core/__init__.py", line 47, in
raise ImportError(msg)
ImportError:
IMPORTANT: PLEASE READ THIS FOR ADVICE ON HOW TO SOLVE THIS ISSUE!
Importing the multiarray numpy extension module failed. Most
likely you are trying to import a failed build of numpy.
Here is how to proceed:
- If you're working with a numpy git repository, try `git clean -xdf`
(removes all files not under version control) and rebuild numpy.
- If you are simply trying to use the numpy version that you have installed:
your installation is broken - please reinstall numpy.
- If you have already reinstalled and that did not fix the problem, then:
1. Check that you are using the Python you expect (you're using /usr/local/Cellar/qgis/3.6.0_2/QGIS.app/Contents/MacOS/QGIS),
and that you have no directories in your PATH or PYTHONPATH that can
interfere with the Python and numpy versions you're trying to use.
2. If (1) looks fine, you can open a new issue at
https://github.com/numpy/numpy/issues. Please include details on:
- how you installed Python
- how you installed numpy
- your operating system
- whether or not you have multiple versions of Python installed
- if you built from source, your compiler versions and ideally a build log
Note: this error has many possible causes, so please don't comment on
an existing issue about this - open a new one instead.
Original error was: dlopen(/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/numpy/core/_multiarray_umath.cpython-37m-darwin.so, 2): Library not loaded: /usr/local/opt/openblas/lib/libopenblasp-r0.3.5.dylib
Referenced from: /usr/local/Cellar/qgis-res/3.6.0/libexec/vendor/lib/python3.7/site-packages/numpy/core/_multiarray_umath.cpython-37m-darwin.so
Reason: image not found
Python version: 3.7.2 (default, Feb 12 2019, 08:16:38) [Clang 10.0.0 (clang-1000.11.45.5)]
QGIS version: 3.6.0-Noosa Noosa, exported
Python Path:
/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python
/Users/lpuerto/Library/Application Support/QGIS/QGIS3/profiles/default/python
/Users/lpuerto/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins
/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins
/usr/local/opt/gdal2-python/lib/python3.7/site-packages
/usr/local/opt/qgis/QGIS.app/Contents/Resources/python
/usr/local/opt/qgis/lib/python3.7/site-packages
/usr/local/opt/lib/python3.7/site-packages
/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python37.zip
/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python3.7
/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload
/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages
/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/geos
/usr/local/Cellar/matplotlib/2.2.3/libexec/lib/python3.7/site-packages
/Users/lpuerto/Library/Application Support/QGIS/QGIS3/profiles/default/python
/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/IPython/extensions
/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/IPython/extensions
/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/IPython/extensions
Couldn't load plugin 'processing'
ImportError: IMPORTANT: PLEASE READ THIS FOR ADVICE ON HOW TO SOLVE THIS ISSUE! Importing the multiarray numpy extension module failed. Most likely you are trying to import a failed build of numpy. Here is how to proceed: - If you're working with a numpy git repository, try `git clean -xdf` (removes all files not under version control) and rebuild numpy. - If you are simply trying to use the numpy version that you have installed: your installation is broken - please reinstall numpy. - If you have already reinstalled and that did not fix the problem, then: 1. Check that you are using the Python you expect (you're using /usr/local/Cellar/qgis/3.6.0_2/QGIS.app/Contents/MacOS/QGIS), and that you have no directories in your PATH or PYTHONPATH that can interfere with the Python and numpy versions you're trying to use. 2. If (1) looks fine, you can open a new issue at https://github.com/numpy/numpy/issues. Please include details on: - how you installed Python - how you installed numpy - your operating system - whether or not you have multiple versions of Python installed - if you built from source, your compiler versions and ideally a build log Note: this error has many possible causes, so please don't comment on an existing issue about this - open a new one instead. Original error was: dlopen(/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/numpy/core/_multiarray_umath.cpython-37m-darwin.so, 2): Library not loaded: /usr/local/opt/openblas/lib/libopenblasp-r0.3.5.dylib Referenced from: /usr/local/Cellar/qgis-res/3.6.0/libexec/vendor/lib/python3.7/site-packages/numpy/core/_multiarray_umath.cpython-37m-darwin.so Reason: image not found
Traceback (most recent call last):
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/numpy/core/__init__.py", line 16, in
from . import multiarray
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/numpy/core/multiarray.py", line 12, in
from . import overrides
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/numpy/core/overrides.py", line 6, in
from numpy.core._multiarray_umath import (
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
ImportError: dlopen(/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/numpy/core/_multiarray_umath.cpython-37m-darwin.so, 2): Library not loaded: /usr/local/opt/openblas/lib/libopenblasp-r0.3.5.dylib
Referenced from: /usr/local/Cellar/qgis-res/3.6.0/libexec/vendor/lib/python3.7/site-packages/numpy/core/_multiarray_umath.cpython-37m-darwin.so
Reason: image not found
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 309, in loadPlugin
__import__(packageName)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/__init__.py", line 29, in
from processing.tools.general import * # NOQA
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/tools/general.py", line 39, in
from processing.core.Processing import Processing
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/core/Processing.py", line 58, in
from processing.algs.qgis.QgisAlgorithmProvider import QgisAlgorithmProvider # NOQA
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/algs/qgis/QgisAlgorithmProvider.py", line 80, in
from .HypsometricCurves import HypsometricCurves
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/algs/qgis/HypsometricCurves.py", line 29, in
import numpy
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/numpy/__init__.py", line 142, in
from . import core
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/numpy/core/__init__.py", line 47, in
raise ImportError(msg)
ImportError:
IMPORTANT: PLEASE READ THIS FOR ADVICE ON HOW TO SOLVE THIS ISSUE!
Importing the multiarray numpy extension module failed. Most
likely you are trying to import a failed build of numpy.
Here is how to proceed:
- If you're working with a numpy git repository, try `git clean -xdf`
(removes all files not under version control) and rebuild numpy.
- If you are simply trying to use the numpy version that you have installed:
your installation is broken - please reinstall numpy.
- If you have already reinstalled and that did not fix the problem, then:
1. Check that you are using the Python you expect (you're using /usr/local/Cellar/qgis/3.6.0_2/QGIS.app/Contents/MacOS/QGIS),
and that you have no directories in your PATH or PYTHONPATH that can
interfere with the Python and numpy versions you're trying to use.
2. If (1) looks fine, you can open a new issue at
https://github.com/numpy/numpy/issues. Please include details on:
- how you installed Python
- how you installed numpy
- your operating system
- whether or not you have multiple versions of Python installed
- if you built from source, your compiler versions and ideally a build log
Note: this error has many possible causes, so please don't comment on
an existing issue about this - open a new one instead.
Original error was: dlopen(/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/numpy/core/_multiarray_umath.cpython-37m-darwin.so, 2): Library not loaded: /usr/local/opt/openblas/lib/libopenblasp-r0.3.5.dylib
Referenced from: /usr/local/Cellar/qgis-res/3.6.0/libexec/vendor/lib/python3.7/site-packages/numpy/core/_multiarray_umath.cpython-37m-darwin.so
Reason: image not found
Python version: 3.7.2 (default, Feb 12 2019, 08:16:38) [Clang 10.0.0 (clang-1000.11.45.5)]
QGIS version: 3.6.0-Noosa Noosa, exported
Python Path:
/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python
/Users/lpuerto/Library/Application Support/QGIS/QGIS3/profiles/default/python
/Users/lpuerto/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins
/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins
/usr/local/opt/gdal2-python/lib/python3.7/site-packages
/usr/local/opt/qgis/QGIS.app/Contents/Resources/python
/usr/local/opt/qgis/lib/python3.7/site-packages
/usr/local/opt/lib/python3.7/site-packages
/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python37.zip
/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python3.7
/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload
/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages
/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/geos
/usr/local/Cellar/matplotlib/2.2.3/libexec/lib/python3.7/site-packages
/Users/lpuerto/Library/Application Support/QGIS/QGIS3/profiles/default/python
/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/IPython/extensions
/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/IPython/extensions
/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/IPython/extensions
Couldn't load plugin 'processing_r' due to an error when calling its classFactory() method
ImportError: IMPORTANT: PLEASE READ THIS FOR ADVICE ON HOW TO SOLVE THIS ISSUE! Importing the multiarray numpy extension module failed. Most likely you are trying to import a failed build of numpy. Here is how to proceed: - If you're working with a numpy git repository, try `git clean -xdf` (removes all files not under version control) and rebuild numpy. - If you are simply trying to use the numpy version that you have installed: your installation is broken - please reinstall numpy. - If you have already reinstalled and that did not fix the problem, then: 1. Check that you are using the Python you expect (you're using /usr/local/Cellar/qgis/3.6.0_2/QGIS.app/Contents/MacOS/QGIS), and that you have no directories in your PATH or PYTHONPATH that can interfere with the Python and numpy versions you're trying to use. 2. If (1) looks fine, you can open a new issue at https://github.com/numpy/numpy/issues. Please include details on: - how you installed Python - how you installed numpy - your operating system - whether or not you have multiple versions of Python installed - if you built from source, your compiler versions and ideally a build log Note: this error has many possible causes, so please don't comment on an existing issue about this - open a new one instead. Original error was: dlopen(/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/numpy/core/_multiarray_umath.cpython-37m-darwin.so, 2): Library not loaded: /usr/local/opt/openblas/lib/libopenblasp-r0.3.5.dylib Referenced from: /usr/local/Cellar/qgis-res/3.6.0/libexec/vendor/lib/python3.7/site-packages/numpy/core/_multiarray_umath.cpython-37m-darwin.so Reason: image not found
Traceback (most recent call last):
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/numpy/core/__init__.py", line 16, in
from . import multiarray
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/numpy/core/multiarray.py", line 12, in
from . import overrides
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/numpy/core/overrides.py", line 6, in
from numpy.core._multiarray_umath import (
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
ImportError: dlopen(/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/numpy/core/_multiarray_umath.cpython-37m-darwin.so, 2): Library not loaded: /usr/local/opt/openblas/lib/libopenblasp-r0.3.5.dylib
Referenced from: /usr/local/Cellar/qgis-res/3.6.0/libexec/vendor/lib/python3.7/site-packages/numpy/core/_multiarray_umath.cpython-37m-darwin.so
Reason: image not found
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 335, in startPlugin
plugins[packageName] = package.classFactory(iface)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing_r/__init__.py", line 22, in classFactory
from .r_plugin import RProviderPlugin
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing_r/r_plugin.py", line 21, in
from processing_r.processing.provider import RAlgorithmProvider
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing_r/processing/provider.py", line 30, in
from processing_r.processing.actions.create_new_script import CreateNewScriptAction
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing_r/processing/actions/create_new_script.py", line 30, in
from processing_r.gui.script_editor.script_editor_dialog import ScriptEditorDialog
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing_r/gui/script_editor/script_editor_dialog.py", line 49, in
from processing.gui.AlgorithmDialog import AlgorithmDialog
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/gui/AlgorithmDialog.py", line 59, in
from processing.gui.ParametersPanel import ParametersPanel
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/gui/ParametersPanel.py", line 57, in
from processing.gui.wrappers import WidgetWrapperFactory, WidgetWrapper
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/gui/wrappers.py", line 116, in
from processing.modeler.MultilineTextPanel import MultilineTextPanel
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/__init__.py", line 29, in
from processing.tools.general import * # NOQA
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/tools/general.py", line 39, in
from processing.core.Processing import Processing
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/core/Processing.py", line 58, in
from processing.algs.qgis.QgisAlgorithmProvider import QgisAlgorithmProvider # NOQA
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/algs/qgis/QgisAlgorithmProvider.py", line 80, in
from .HypsometricCurves import HypsometricCurves
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/processing/algs/qgis/HypsometricCurves.py", line 29, in
import numpy
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/numpy/__init__.py", line 142, in
from . import core
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/qgis/utils.py", line 672, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
File "/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/numpy/core/__init__.py", line 47, in
raise ImportError(msg)
ImportError:
IMPORTANT: PLEASE READ THIS FOR ADVICE ON HOW TO SOLVE THIS ISSUE!
Importing the multiarray numpy extension module failed. Most
likely you are trying to import a failed build of numpy.
Here is how to proceed:
- If you're working with a numpy git repository, try `git clean -xdf`
(removes all files not under version control) and rebuild numpy.
- If you are simply trying to use the numpy version that you have installed:
your installation is broken - please reinstall numpy.
- If you have already reinstalled and that did not fix the problem, then:
1. Check that you are using the Python you expect (you're using /usr/local/Cellar/qgis/3.6.0_2/QGIS.app/Contents/MacOS/QGIS),
and that you have no directories in your PATH or PYTHONPATH that can
interfere with the Python and numpy versions you're trying to use.
2. If (1) looks fine, you can open a new issue at
https://github.com/numpy/numpy/issues. Please include details on:
- how you installed Python
- how you installed numpy
- your operating system
- whether or not you have multiple versions of Python installed
- if you built from source, your compiler versions and ideally a build log
Note: this error has many possible causes, so please don't comment on
an existing issue about this - open a new one instead.
Original error was: dlopen(/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/numpy/core/_multiarray_umath.cpython-37m-darwin.so, 2): Library not loaded: /usr/local/opt/openblas/lib/libopenblasp-r0.3.5.dylib
Referenced from: /usr/local/Cellar/qgis-res/3.6.0/libexec/vendor/lib/python3.7/site-packages/numpy/core/_multiarray_umath.cpython-37m-darwin.so
Reason: image not found
Python version: 3.7.2 (default, Feb 12 2019, 08:16:38) [Clang 10.0.0 (clang-1000.11.45.5)]
QGIS version: 3.6.0-Noosa Noosa, exported
Python Path:
/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins/lastools
/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python
/Users/lpuerto/Library/Application Support/QGIS/QGIS3/profiles/default/python
/Users/lpuerto/Library/Application Support/QGIS/QGIS3/profiles/default/python/plugins
/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/plugins
/usr/local/opt/gdal2-python/lib/python3.7/site-packages
/usr/local/opt/qgis/QGIS.app/Contents/Resources/python
/usr/local/opt/qgis/lib/python3.7/site-packages
/usr/local/opt/lib/python3.7/site-packages
/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python37.zip
/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python3.7
/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload
/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages
/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/geos
/usr/local/Cellar/matplotlib/2.2.3/libexec/lib/python3.7/site-packages
/Users/lpuerto/Library/Application Support/QGIS/QGIS3/profiles/default/python
/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/IPython/extensions
/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/IPython/extensions
/usr/local/opt/qgis/QGIS.app/Contents/MacOS/../Resources/python/IPython/extensions
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.